[project]
name = "clingo-funasp"
version = "6.0.0.post10"
description = "Python bindings to the clingo solver."
classifiers = [ "Development Status :: 5 - Production/Stable", "Intended Audience :: Developers", "License :: OSI Approved :: MIT License", "Programming Language :: Python :: 3", "Topic :: Software Development :: Libraries", "Topic :: Scientific/Engineering :: Artificial Intelligence",]
keywords = [ "artificial intelligence", "logic programming", "answer set programming", "constraint solving", "AI", "ASP", "SAT", "Potassco", "clingo", "solver",]
[[project.authors]]
name = "Roland Kaminski"
email = "kaminski@cs.uni-potsdam.de"

[build-system]
requires = [ "scikit-build-core", "pybind11", "re2c",]
build-backend = "scikit_build_core.build"

[project.readme]
file = "README.md"
content-type = "text/markdown"

[project.urls]
Homepage = "https://potassco.org"
Repository = "https://github.com/potassco/clingo"
Documentation = "https://github.com/potassco/guide"
Source = "https://github.com/potassco/clingo/tree/1bbfaf7"

[project.scripts]
pyclingo = "clingo.app:_pyclingo"

[tool.ruff]
ignore = [ "E741",]

[tool.cibuildwheel]
enable = [ "pypy",]

[tool.scikit-build.sdist]
include = [ "lib/*", "third_party/*", "app/*", "CMakeLists.txt",]
exclude = [ "*.pyc",]

[tool.scikit-build.wheel]
exclude = [ "include/amc/*", "bin/*", "share/*",]

[tool.pytest.ini_options]
addopts = [ "--ignore=third_party", "--ignore=doc", "--ignore=.git",]
testpaths = [ "lib",]

[tool.pylint.design]
min-public-methods = 1

[tool.cibuildwheel.linux]
archs = [ "auto", "aarch64", "ppc64le",]
manylinux-x86_64-image = "manylinux_2_34"
manylinux-i686-image = "manylinux_2_34"
manylinux-pypy_x86_64-image = "manylinux_2_34"
manylinux-pypy_i686-image = "manylinux_2_34"
manylinux-aarch64-image = "manylinux_2_34"
manylinux-ppc64le-image = "manylinux_2_34"

[tool.cibuildwheel.macos]
archs = [ "arm64", "x86_64",]

[tool.cibuildwheel.macos.environment]
MACOSX_DEPLOYMENT_TARGET = "14.0"
